XtDisplayStringConversionWarning(3) | Library Functions Manual | XtDisplayStringConversionWarning(3)

# NAME

XtDisplayStringConversionWarning - issue a conversion warning message

# SYNTAX

#include <X11/Intrinsic.h>

void XtDisplayStringConversionWarning(Display* display, const char *from_value, const char *to_type);

# ARGUMENTS

display
  Specifies the display connection with which the conversion is associated.
from_value
  Specifies the string that could not be converted.
to_type
  Specifies the target representation type requested.

# DESCRIPTION

The XtDisplayStringConversionWarning function issues a warning message using XtAppWarningMsg with name “conversionError”, type “string”, class “XtToolkitError”, and the default message string “Cannot convert "from_value" to type to_type”.

To issue other types of warning or error messages, the type converter should use XtAppWarningMsg or XtAppErrorMsg.

# SEE ALSO

XtAppWarningMsg(3t)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

X Version 11 | XT FUNCTIONS